### Function

# Gio null_settings_backend_new

since: 2.28

#### Declaration

    GSettingsBackend*
    g_null_settings_backend_new (
      void
    )

#### Description

Creates a readonly `GSettingsBackend`.

This backend does not allow changes to settings, so all settings will always have their default values.

Available since: 2.28

#### Return value

Type: `GSettingsBackend`

A newly created `GSettingsBackend`.

The caller of the function takes ownership of the data, and is responsible for freeing it.